AbstractSimpleValue (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.relational
Class AbstractSimpleValue

    java.lang.Object
      org.hibernate.metamodel.relational.AbstractSimpleValue

All Implemented Interfaces:
  SimpleValue, Value

Direct Known Subclasses:
  Column, DerivedValue

    public abstract class AbstractSimpleValue

extends Object
implements SimpleValue

Basic support for `SimpleValue` implementations.

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.relational.Value
`Value.JdbcCodes`

Constructor Summary
`protected` | `AbstractSimpleValue(TableSpecification table, int position)`

Method Summary
`Datatype` | `getDatatype()` Retrieve the datatype of this value.
`int` | `getPosition()`
`TableSpecification` | `getTable()` Retrieve the table that owns this value.
`void` | `setDatatype(Datatype datatype)` Set the datatype of this value.
`void` | `validateJdbcTypes(Value.JdbcCodes typeCodes)` Validate the value against the incoming JDBC type code array, both in terms of number of types and compatibility of types.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.relational.SimpleValue
`getAlias`

Methods inherited from interface org.hibernate.metamodel.relational.Value
`toLoggableString`

Constructor Detail

### AbstractSimpleValue

    protected AbstractSimpleValue(TableSpecification table,
                                  int position)

Method Detail

### getTable

    public TableSpecification getTable()

  Description copied from interface: `Value`
  Retrieve the table that owns this value.

  Specified by:
    `getTable` in interface `Value`
  Returns:
    The owning table.

### getPosition

    public int getPosition()

### getDatatype

    public Datatype getDatatype()

  Description copied from interface: `SimpleValue`
  Retrieve the datatype of this value.

  Specified by:
    `getDatatype` in interface `SimpleValue`
  Returns:
    The value's datatype

### setDatatype

    public void setDatatype(Datatype datatype)

  Description copied from interface: `SimpleValue`
  Set the datatype of this value.

  Specified by:
    `setDatatype` in interface `SimpleValue`
  Parameters:
    `datatype` - The value's datatype

### validateJdbcTypes

    public void validateJdbcTypes(Value.JdbcCodes typeCodes)

  Description copied from interface: `Value`
  Validate the value against the incoming JDBC type code array, both in terms of number of types and compatibility of types.

  Specified by:
    `validateJdbcTypes` in interface `Value`
  Parameters:
    `typeCodes` - The type codes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.